summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Ohly <patrick.ohly@intel.com>2010-02-10 11:47:59 +0100
committerPatrick Ohly <patrick.ohly@intel.com>2010-02-10 11:47:59 +0100
commit6b006c8aa08520057cd94fcc8f7556aae764d962 (patch)
treee073d15b42aa8c1cfa7201c4dcf90cf979fcb51f
parent529a39e4e5da2e6cfff9e7716e970744a3672988 (diff)
export-synthesis-xml.sh: export Synthesis XML fragment patches
This complements import-synthesis-xml.sh. It produces a set of .patch files that contain our local modifications to the shared files.
-rwxr-xr-xbuild/export-synthesis-xml.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/build/export-synthesis-xml.sh b/build/export-synthesis-xml.sh
new file mode 100755
index 00000000..ada5b916
--- /dev/null
+++ b/build/export-synthesis-xml.sh
@@ -0,0 +1,18 @@
+#! /bin/sh
+#
+# Run this inside the top level of a clean
+# syncevolution git repository. Pass the path
+# to a gdbus repository (default: ../libsynthesis).
+#
+# The script generates .patch files for all changes
+# made in the current branch to files which are
+# shared with gdbus. The resulting files can
+# be imported with "git am".
+
+set -e
+set -x
+
+path="${1:-../libsynthesis}"
+files="`((cd $path/src/sysync_SDK && find configs \( -name '*.xml' -o -name 'update-samples.pl' -o -name README \) -a \! \( -name 'sync*_sample_config.xml' -o -name sunbird_client.xml \)) && (cd src/syncevo && find configs -name '*.xml' -o name README)) | sort -u | sed -e 's;^;src/syncevo/;'`"
+
+`dirname $0`/export-foreign-git.sh "$path" src/sysync_SDK src/syncevo $files